# eric7.Preferences.ConfigurationPages.EmailPage

Module implementing the Email configuration page.

### Global Attributes

None

### Classes

EmailPage | Class implementing the Email configuration page.

### Functions

create | Module function to create the configuration page.

## EmailPage

Class implementing the Email configuration page.

### Derived from

ConfigurationPageBase, Ui_EmailPage

### Class Attributes

None

### Class Methods

None

### Methods

EmailPage | Constructor
__checkGoogleMail | Private method to check the Google Mail availability and set the widgets accordingly.
__updatePortSpin | Private slot to set the value of the port spin box depending upon the selected encryption method.
__updateTestButton | Private slot to update the enabled state of the test button.
on_googleCheckAgainButton_clicked | Private slot to check again the availability of Google Mail.
on_googleHelpButton_clicked | Private slot to show some help text "how to turn on the Gmail API".
on_googleInstallButton_clicked | Private slot to install the required packages for use of Google Mail.
on_mailAuthenticationGroup_toggled | Private slot to handle a change of the state of the authentication group.
on_mailPasswordEdit_textChanged | Private slot to handle a change of the text of the user edit.
on_mailServerEdit_textChanged | Private slot to handle a change of the text of the mail server edit.
on_mailUserEdit_textChanged | Private slot to handle a change of the text of the user edit.
on_noEncryptionButton_toggled | Private slot handling a change of no encryption button.
on_testButton_clicked | Private slot to test the mail server login data.
on_useSslButton_toggled | Private slot handling a change of SSL encryption button.
on_useTlsButton_toggled | Private slot handling a change of TLS encryption button.
save | Public slot to save the Email configuration.

### Static Methods

None

#### EmailPage (Constructor)

EmailPage()

Constructor

#### EmailPage.__checkGoogleMail

__checkGoogleMail()

Private method to check the Google Mail availability and set the widgets accordingly.

#### EmailPage.__updatePortSpin

__updatePortSpin()

Private slot to set the value of the port spin box depending upon the selected encryption method.

#### EmailPage.__updateTestButton

__updateTestButton()

Private slot to update the enabled state of the test button.

#### EmailPage.on_googleCheckAgainButton_clicked

on_googleCheckAgainButton_clicked()

Private slot to check again the availability of Google Mail.

#### EmailPage.on_googleHelpButton_clicked

on_googleHelpButton_clicked()

Private slot to show some help text "how to turn on the Gmail API".

#### EmailPage.on_googleInstallButton_clicked

on_googleInstallButton_clicked()

Private slot to install the required packages for use of Google Mail.

#### EmailPage.on_mailAuthenticationGroup_toggled

on_mailAuthenticationGroup_toggled(checked)

Private slot to handle a change of the state of the authentication group.

checked
  state of the group (boolean)

#### EmailPage.on_mailPasswordEdit_textChanged

on_mailPasswordEdit_textChanged(txt)

Private slot to handle a change of the text of the user edit.

txt
  current text of the edit (string)

#### EmailPage.on_mailServerEdit_textChanged

on_mailServerEdit_textChanged(txt)

Private slot to handle a change of the text of the mail server edit.

txt (str)
  current text of the edit (string)

#### EmailPage.on_mailUserEdit_textChanged

on_mailUserEdit_textChanged(txt)

Private slot to handle a change of the text of the user edit.

txt
  current text of the edit (string)

#### EmailPage.on_noEncryptionButton_toggled

on_noEncryptionButton_toggled(checked)

Private slot handling a change of no encryption button.

checked (bool)
  current state of the button

#### EmailPage.on_testButton_clicked

on_testButton_clicked()

Private slot to test the mail server login data.

#### EmailPage.on_useSslButton_toggled

on_useSslButton_toggled(checked)

Private slot handling a change of SSL encryption button.

checked (bool)
  current state of the button

#### EmailPage.on_useTlsButton_toggled

on_useTlsButton_toggled(checked)

Private slot handling a change of TLS encryption button.

checked (bool)
  current state of the button

#### EmailPage.save

save()

Public slot to save the Email configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Return:
  reference to the instantiated page (ConfigurationPageBase)

Up